<?
if(!defined('GAME'))
{
	die();
}

if($u->room['file']=='a_clanreg')
{


function alignc($al)
{
    if ($al==1){$value="(светлый)";}
	elseif ($al==3){$value="(темный)";}
	elseif ($al==7){$value="(нейтральный)";}
	else {$value="(серый)";}
	return $value;
}	
// класс загрузки файлов 

class upload {
 
protected function __construct() { }
 
static $save_path = 'clan_prw/';
static $error = '';
 
static function saveimg($name,$max_mb = 2,$exts = 'jpg|png|jpeg|gif',$cnm = '',$mnw = 0,$mxw = 0,$mnh = 0,$mxh = 0) {
    if (isset($_FILES[$name])) {
        $f = &$_FILES[$name];
		
		if(isset($f['tmp_name'])) {
			$width = 0;
			$height = 0;
			list($width, $height) = getimagesize($f['tmp_name']);				
		}
		
        if( $mnw != 0 && $mnw > $width ) {
			self::$error = 'Минимальная ширина картинки '.$mnw.' пикселей. (Размер этой картинки '.$width.'x'.$height.')';
		}elseif( $mxw != 0 && $mxw < $width ) {
			self::$error = 'Максимальная ширина картинки '.$mxw.' пикселей. (Размер этой картинки '.$width.'x'.$height.')';
		}elseif( $mnh != 0 && $mnh > $height ) {
			self::$error = 'Минимальная высота картинки '.$mnh.' пикселей. (Размер этой картинки '.$width.'x'.$height.')';
		}elseif( $mxh != 0 && $mxh < $height ) {
			self::$error = 'Максимальная высота картинки '.$mxh.' пикселей. (Размер этой картинки '.$width.'x'.$height.')';
		}elseif (($f['size'] <= $max_mb*1024*1024) && ($f['size'] > 0)) {
            if (
                (preg_match('/\.('.$exts.')$/i',$f['name'],$ext))&&
                (preg_match('/image/i',$f['type']))
            ) {

				$ext[1] = strtolower($ext[1]);
                $fn = uniqid('f_',true).'.'.$ext[1];
                $fn2 = uniqid('f_',true).'.gif';
                if (move_uploaded_file($f['tmp_name'], self::$save_path . $fn)) {
                    // система изменения размера , требуется Rimage
                    //Rimage::resize(self::$save_path . $fn, self::$save_path . $fn2);
                    //@unlink(self::$save_path . $fn); // удаление файла
                    return array($fn2,$fn,self::$save_path . $fn);
                } else {
                    self::$error = 'Ошибка загрузки файла';
                }
            } else {
                self::$error = 'Неверный тип файла. Допустимые типы : <b>'.$exts.'</b>';
            }
        } else {
            self::$error = 'Неверный размер файла. Максимальный размер файла <b>'.$max_mb.' МБ</b>';
        }
    } else {
        self::$error = 'Файл не найден';
    }
    return false;
} // end saveimg
} // end class

$lzv = mysql_fetch_array(mysql_query('SELECT * FROM `_clan` WHERE `uid` = "'.$u->info['id'].'" AND `admin_time` = "0" LIMIT 1'));
/*Заявка на вступление*/

if(isset($_POST['clan_enter'])) 
{
	
	mysql_query('UPDATE `users` SET `clan_zv`= "'.$_POST['clan_enter'].'" WHERE `id` = "'.$u->info['id'].'" ');

}

/* Регистрация клана */
if(isset($_POST['clan_name'])) {
	/*if($_POST['clan_align'] != 0) {
		$_POST['clan_align'] = 0;
	}*/
	
	$tr_money2 = 0;
	if($_POST['clan_align'] == 1) {
		$tr_money2 = 50;
		$_POST['clan_align'] = 1;
	}elseif($_POST['clan_align'] == 3) {
		$tr_money2 = 50;
		$_POST['clan_align'] = 3;
	}elseif($_POST['clan_align'] == 7) {
		$tr_money2 = 50;
		$_POST['clan_align'] = 7;
	}
	
	$clan_name = substr(htmlspecialchars($_POST['clan_name'],NULL,'cp1251'), 0, 30);
	
	$cnt = mysql_fetch_array(mysql_query('SELECT * FROM `clan` WHERE `name` = "'.mysql_real_escape_string($clan_name).'" LIMIT 1'));
	
	if(isset($cnt['id'])) {
		$re = 'Клан с названием &quot;'.$cnt['name'].'&quot; уже зарегистрирован.';
	}elseif(true == false) {
		$re = 'Регистрация кланов временно не работает.';
	}elseif(isset($lzv['id'])) {
		$re = 'Вы уже подали заявку на регистрацию клана, ожидайте ответа от администрации';
	//}elseif( $u->testAlign($_POST['clan_align'],$u->info['id']) == 0 ) {
		//$re = 'Вы не можете зарегистрировать клан с данной склонностью. (Действует ограничение на выбор склонности для вашего персонажа)';
	}elseif($tr_money2 > $u->info['money2']) {
		$re = 'У вас не хватает денег, требуется '.$tr_money2.'екр.';
	}elseif($u->info['clan'] > 0){
		$re = 'Вы состоите в одном из кланов, требуется покинуть его';
	}elseif($u->info['align'] > 0){
		$re = 'Персонажи со склонностью не могут создавать клан, избавьтесь от неё';
	}else{
		/* заносим данные в базу */
		//$clan_name = str_replace('.','',$clan_name);
		//$clan_name = str_replace(' ','',$clan_name);
		//$clan_name = str_replace('	','',$clan_name);
		if(!preg_match("/^[-a-zA-Z0-9]+$/", $clan_name)) {
			$re = 'В названии клана присутствуют запрещенные символы.';
		}elseif($file = upload::saveimg('clan_img1',0.3,'gif',$clan_name,24,24,15,15)) {
			//if($file2 = upload::saveimg('clan_img2',0.5,'gif',$clan_name)) {
				if($tr_money2 < 0) {
					$tr_money2 = 0;
				}
				$u->info['money2'] -= $tr_money2;
				
				mysql_query('UPDATE `users` SET `money2` = "'.$u->info['money2'].'" WHERE `id` = "'.$u->info['id'].'" LIMIT 1');
				mysql_query('INSERT INTO `_clan` (`uid`,`time`,`city`,`name`,`name2`,`site`,`img1`,`img2`,`info`,`money`,`align`) VALUES (
					"'.$u->info['id'].'","'.time().'",
					"'.$u->info['city'].'",
					"'.mysql_real_escape_string(htmlspecialchars($_POST['clan_name'],NULL,'cp1251')).'",
					"'.mysql_real_escape_string(htmlspecialchars($_POST['clan_name'],NULL,'cp1251')).'",
					"'.mysql_real_escape_string(htmlspecialchars($_POST['clan_site'],NULL,'cp1251')).'",
					"'.mysql_real_escape_string(htmlspecialchars($file[1],NULL,'cp1251')).'",
					"",
					"",
					"'.$tr_money2.'",
					"'.mysql_real_escape_string(htmlspecialchars($_POST['clan_align'],NULL,'cp1251')).'"
				)');
				$lzv = array(
					'id' => mysql_insert_id(),
					'name' => htmlspecialchars($_POST['clan_name'],NULL,'cp1251'),
					'time' => time()
				);
				$re = 'Вы успешно подали заявку на регистрацию клана &quot;'.htmlspecialchars($_POST['clan_name'],NULL,'cp1251').'&quot;. ('.$tr_money2.'екр.)';
			//}else{
			//	@unlink($file[2]); // удаление файла
			//	$re = 'Большой значок: '.upload::$error;
			//}
		}else{
			$re = 'Маленький значок: '.upload::$error;
		}
	}
}

?>
<style>
body
{
	background-color:#E2E2E2;
	background-image: url(https://img.new-combats.com/i/misc/showitems/dungeon.jpg);
	background-repeat:no-repeat;background-position:top right;
}
</style>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td><div style="padding-left:0px;" align="center">
      <blockquote>
        <h3>Заявка на регистрацию клана</h3>
      </blockquote>
    </div>
        <?
		if($re != '') {
			echo '<font style="float:left" color="red"><b>'.$re.'</b></font>';
		}
		?>
    </td>
    <td width="200"><div align="right">
      <table cellspacing="0" cellpadding="0">
        <tr>
          <td width="100%">&nbsp;</td>
          <td><table  border="0" cellpadding="0" cellspacing="0">
              <tr align="right" valign="top">
                <td><!-- -->
                    <? echo $goLis; ?>
                    <!-- -->
                    <table border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td nowrap="nowrap"><table width="100%"  border="0" cellpadding="0" cellspacing="1" bgcolor="#DEDEDE">
                            <tr>
                              <td bgcolor="#D3D3D3"><img src="https://img.new-combats.com/i/move/links.gif" width="9" height="7" /></td>
                              <td bgcolor="#D3D3D3" nowrap="nowrap"><a href="javascript:void(0)" id="greyText" class="menutop" onClick="location='main.php?loc=1.180.0.11&rnd=<? echo $code; ?>';" title="<? thisInfRm('1.180.0.11',1); ?>">Страшилкина улица</a></td>
                            </tr>
                        </table></td>
                      </tr>
                  </table></td>
              </tr>
          </table></td>
        </tr>
      </table>
      </div></td>
  </tr>
</table>
<?
if( $u->info['clan'] > 0 ) {
	$clan = mysql_fetch_array(mysql_query('SELECT * FROM `clan` WHERE `id` = "'.$u->info['clan'].'" LIMIT 1'));
?>
Вы уже состоите в клане <b><?=$clan['name']?></b> и не можете подать заявку на регистрацию нового клана.<br><br>
<fieldset style="line-height:1.5em;border-color:#fff;">  
	<legend><h3>Клановые войны</h3></legend>
    <?
	if( $u->info['clan_prava'] == 'glava' ) {
		echo 'Нет ни одной войны, но вы можете обьявить её!';
	}else{
		echo 'Нет ни одной войны, но ваш глава клана может обьявить её!';
	}
	?>
</fieldset>
<? }else{ ?>
<table width="100%" border="0" cellspacing="0" cellpadding="10">
  <tr>
    <td><p>Требования к значку: размер (ШхВ в пикселях) 24х15, графический тип GIF, размер до 30кб.</p>
    <p>    
   	Стоимость регистрации кланов:<br>
    <img src="https://img.new-combats.com/i/align/align7.gif" width="12" height="15"> нейтральный - 50 екр.<br> 
    <img src="https://img.new-combats.com/i/align/align1.gif" width="12" height="15"> светлый - 50 екр.<br> 
    <img src="https://img.new-combats.com/i/align/align3.gif" width="12" height="15"> тёмный - 50 екр.<br> 
    </p>
    <p>
    Заявка на регистрацию подает будущий глава клана, у которого должна быть при себе необходимая сумма.
    </p>
    </td>
  </tr>
  <tr>
    <td>
	<form action="main.php?go_psh=1" method="post" enctype="multipart/form-data" name="form1" id="form1">
      <fieldset style="line-height:1.5em;border-color:#fff;">  
        <legend><h3>Заявка на регистрацию клана</h3>
        </legend>
        <? if(!isset($lzv['id'])) { ?>
        Название клана (только английские буквы или цифры, одно слово): 
        <input class="rd4" name="clan_name" type="text" value="" size="50" maxlength="50" />
        <br />
        Клан сайт (необязательно Пример https://new-combats.com/): 
        <input class="rd4" name="clan_site" type="text" value="https://new-combats.com/" size="50" maxlength="50" />
        <br />
        Значок 
        <input type="file" name="clan_img1" id="clan_img1" />
        <br />
        Склонность клана 
        <select class="rd4" name="clan_align">
          <option value="7">нейтральный (50 екр.)</option>
          <option value="3">темный (50 екр.)</option>
          <option value="1">светлый (50 екр.)</option>
        </select>
        <br />
        <input type="submit" name="button" id="button" class="btn" value="Подать заявку" />
        <? }else{ ?>
        <?=date('d.m.Y H:i',$lzv['time'])?> &nbsp; &nbsp; Вы уже подали заявку на регистрацию клана &quot;<b><?=$lzv['name']?></b>&quot;. Ожидайте ответа от Администрации.
        <? } ?>
      </fieldset>
    </form>
	</td>
	<td>
	<form action="main.php?go_psh=1" method="post" enctype="multipart/form-data" name="form2" id="form1">
      <fieldset style="line-height:1.5em;border-color:#fff;">  
        <legend><h3>Заявка на вступление в клан</h3> <!--ТУТ--></legend>
		<?
			$clnt = mysql_fetch_array(mysql_query('SELECT `clan_zv` FROM `users` WHERE `id` = "'.$u->info['id'].'" LIMIT 1'));
			if ($clnt['clan_zv']!=0)
			{
				$clnn = mysql_fetch_array(mysql_query('SELECT * FROM `clan` WHERE `id` = "'.$clnt['clan_zv'].'"  LIMIT 1'));
				echo 'Вы подали заявку в клан '.$clnn['name'].' '.alignc($clnn['align']).' '.$tmpc.'<br>';
				echo 'Ожидайте рассмотрения вашей заявки. Если решения долго нет просто выбирите из списка другой клан.<br>';
			}
		?>
        Выбирите клан: 
        <br>
		<select class="rd4" name="clan_enter">
          <?
		    $sp = mysql_query('SELECT * FROM `clan` WHERE 1 ORDER BY `clan`.`exp` DESC');
			while($pl = mysql_fetch_array($sp)) 
			{
				
				echo '<option name="'.$pl['id'].'" value="'.$pl['id'].'">'.$pl['name'].' '.alignc($pl['align']).'</option>';
			}
		  
		  ?>
		</select>
        <br /><br />
        <input type="submit" name="button2" id="button" class="btn" value="Подать заявку" />
      </fieldset>
    </form>
	</td>
  </tr>
</table>
<p>Примечание:</p>
<p>
При подаче заявки с вас снимается сумма необходимая для регистрации клана.<br>
В случаи отказа в регистрации клана (по любой причине), еврокредиты возвращаются персонажу.<br>
Администрация вправе отказать в регистрации без объяснения причин.<br>
<b>При регистрации клана, глава клана в течении 60 дней не имеет право передавать своё главенство другому игроку.</b>
</p>
	<? } ?>
<? } ?>